gr::radar::ofdm_divide_vcvc_impl Class Reference

`#include <ofdm_divide_vcvc_impl.h>`

Inheritance diagram for gr::radar::ofdm_divide_vcvc_impl:

## Public Member Functions

| ofdm_divide_vcvc_impl (int vlen_in, int vlen_out, std::vector< int > discarded_carriers, int num_sync_words, std::string len_key)
| ~ofdm_divide_vcvc_impl ()
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_vlen_in
int | d_vlen_out
int | d_num_sync_words
std::vector< int > | d_discarded_carriers
std::string | d_len_key

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::ofdm_divide_vcvc
typedef std::shared_ptr< ofdm_divide_vcvc > | sptr
Static Public Member Functions inherited from gr::radar::ofdm_divide_vcvc
static sptr | make (int vlen_in, int vlen_out, std::vector< int > discarded_carriers, int num_sync_words, std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::ofdm_divide_vcvc.

## Constructor & Destructor Documentation

## ofdm_divide_vcvc_impl()

gr::radar::ofdm_divide_vcvc_impl::ofdm_divide_vcvc_impl | ( | int | vlen_in,
|  | int | vlen_out,
|  | std::vector< int > | discarded_carriers,
|  | int | num_sync_words,
|  | std::string | len_key )

## ~ofdm_divide_vcvc_impl()

gr::radar::ofdm_divide_vcvc_impl::~ofdm_divide_vcvc_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::ofdm_divide_vcvc_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## work()

int gr::radar::ofdm_divide_vcvc_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_discarded_carriers

std::vector<int> gr::radar::ofdm_divide_vcvc_impl::d_discarded_carriers

## d_len_key

std::string gr::radar::ofdm_divide_vcvc_impl::d_len_key

## d_num_sync_words

int gr::radar::ofdm_divide_vcvc_impl::d_num_sync_words

## d_vlen_in

int gr::radar::ofdm_divide_vcvc_impl::d_vlen_in

## d_vlen_out

int gr::radar::ofdm_divide_vcvc_impl::d_vlen_out

The documentation for this class was generated from the following file:

- ofdm_divide_vcvc_impl.h